org.eclipse.net4j.util.fsm

## Interface ITransition<STATE extends Enum<?>,EVENT extends Enum<?>,SUBJECT,DATA>

- All Known Implementing Classes:
    ChallengeResponseNegotiator.Transition, FiniteStateMachine.ChangeStateTransition, FiniteStateMachine.FailTransition, FiniteStateMachine.IgnoreTransition

      public interface ITransition<STATE extends Enum<?>,EVENT extends Enum<?>,SUBJECT,DATA>

  Encpsulates the logic to be executed when an event arrives for a subject in a particular state.
  Author:
    Eike Stepper
  Apiviz

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(SUBJECT subject, STATE state, EVENT event, DATA data)`

- - ### Method Detail

    - #### execute

          void execute(SUBJECT subject,
                       STATE state,
                       EVENT event,
                       DATA data)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html